## org.biojava.utils.xml
Interface XMLPeerFactory

All Known Implementing Classes:
  XMLDispatcher

public interface XMLPeerFactory

Interface to an factory which produces Java objects which reflect element in an XML document.

Author:
  Thomas Down

Method Summary
`java.lang.Object` `getXMLPeer(java.lang.String tag, java.util.List children, org.xml.sax.AttributeList attrs)` Return a Java object to reflect an XML element.

Method Detail

### getXMLPeer

    public java.lang.Object getXMLPeer(java.lang.String tag,
                                       java.util.List children,
                                       org.xml.sax.AttributeList attrs)

  Return a Java object to reflect an XML element.
  Parameters:
    `tag` - the XML tag.
    `children` - a List (may be empty) of objects reflecting child nodes.
    `attrs` - attribute list for the tag.
  Returns:
    a Java object to reflect the XML tag, or `null` if this element should be silently ignored.